cURL
curl --request GET \
--url https://{tenant}.chronosphere.io/api/v1/config/log-retention-configs/{slug} \
--header 'API-Token: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.chronosphere.io/api/v1/config/log-retention-configs/{slug}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{tenant}.chronosphere.io/api/v1/config/log-retention-configs/{slug}")
.header("API-Token", "<api-key>")
.asString();const options = {method: 'GET', headers: {'API-Token': '<api-key>'}};
fetch('https://{tenant}.chronosphere.io/api/v1/config/log-retention-configs/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{tenant}.chronosphere.io/api/v1/config/log-retention-configs/{slug}"
headers = {"API-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"log_retention_config": {
"filter": "<string>",
"name": "<string>",
"retention_days": 123,
"slug": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{}ReadLogRetentionConfig
GET
/
api
/
v1
/
config
/
log-retention-configs
/
{slug}
cURL
curl --request GET \
--url https://{tenant}.chronosphere.io/api/v1/config/log-retention-configs/{slug} \
--header 'API-Token: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.chronosphere.io/api/v1/config/log-retention-configs/{slug}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{tenant}.chronosphere.io/api/v1/config/log-retention-configs/{slug}")
.header("API-Token", "<api-key>")
.asString();const options = {method: 'GET', headers: {'API-Token': '<api-key>'}};
fetch('https://{tenant}.chronosphere.io/api/v1/config/log-retention-configs/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{tenant}.chronosphere.io/api/v1/config/log-retention-configs/{slug}"
headers = {"API-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"log_retention_config": {
"filter": "<string>",
"name": "<string>",
"retention_days": 123,
"slug": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{}Authorizations
Chronosphere API token
Path Parameters
Response
A successful response.
LogRetentionConfig configures long-term retention policies for log data. Each config specifies a filter to match logs and retention parameters for cold storage (Iceberg). Multiple configs per tenant are supported; when configs overlap, the longest retention wins.
Show child attributes
Show child attributes
⌘I

